using System;
using System.Web;
using System.Web.UI;
using System.Collections;
using System.Collections.Generic;
using System.Web.UI.WebControls;
using SocoShop.Common;
using SocoShop.Business;
using SocoShop.Entity;
using SkyCES.EntLib;

namespace SocoShop.Web
{
    public partial class GroupBuyList : System.Web.UI.Page
    {
        protected List<GroupBuyInfo> groupBuyList = new List<GroupBuyInfo>();
        protected void Page_Load(object sender, EventArgs e)
        {
            int currentPage = RequestHelper.GetQueryString<int>("Page");
            if (currentPage < 1)
            {
                currentPage = 1;
            }
            int pageSize = 10;
            int count = 0;         
            groupBuyList = GroupBuyBLL.ReadGroupBuyList(currentPage, pageSize, ref count);
            MyPager.CurrentPage = currentPage;
            MyPager.PageSize = pageSize;
            MyPager.Count = count;
        }
    }
}
